GNU bug report logs - #35961
27.0.50; Sometimes frame freezes and stops updating (almost entirely)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dmitry Gutov <dgutov@HIDDEN>; Keywords: moreinfo unreproducible; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 35961 <at> debbugs.gnu.org and Dmitry Gutov <dgutov@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 25 Sep 2019 14:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 10:42:41 2019
Received: from localhost ([127.0.0.1]:42285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iD8V7-0005vp-8U
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 10:42:41 -0400
Received: from quimby.gnus.org ([80.91.231.51]:36856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iD8V5-0005vf-FV
 for 35961 <at> debbugs.gnu.org; Wed, 25 Sep 2019 10:42:40 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iD8V2-0004Jy-99; Wed, 25 Sep 2019 16:42:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <83tvdezak4.fsf@HIDDEN>
 <f8f7c9c1-dc1d-e894-9fb1-038be0215aed@HIDDEN>
 <83lfymwsql.fsf@HIDDEN>
 <e51bbb61-0aaf-1e12-86aa-7fa64607381f@HIDDEN>
Date: Wed, 25 Sep 2019 16:42:35 +0200
In-Reply-To: <e51bbb61-0aaf-1e12-86aa-7fa64607381f@HIDDEN> (Dmitry Gutov's
 message of "Mon, 10 Jun 2019 02:40:03 +0300")
Message-ID: <87blv8tp2c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > On 31.05.2019 18:25,
 Eli Zaretskii wrote: > >> Yes, but if you are thinking about some thread
 in that >> toolkit/windowing library getting stuck while others continue
 working, >> you can try startin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35961
Cc: Eli Zaretskii <eliz@HIDDEN>, 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 31.05.2019 18:25, Eli Zaretskii wrote:
>
>> Yes, but if you are thinking about some thread in that
>> toolkit/windowing library getting stuck while others continue working,
>> you can try starting Emacs in X synchronous mode (etc/DEBUG has the
>> details), then Emacs will wait for each X call to return, and X will
>> not return until the request completes.  If you see the same problem
>> in that case, i.e. some frame(s) become not responsive while others
>> don't, it is almost certainly not an Emacs problem.
>
> Thanks, I'll look into that if the problem persists (and if I can find
> a repro).
>
> The last time it happened, though, I observed the same effect in
> another program, so this is probably not Emacs's fault. And I haven't
> seen the problem since the day this bug was filed.

This seems unreproducible, and the last action here was 15 weeks ago, so
I'm closing this bug report.  If the problem reappears, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.
Added tag(s) moreinfo and unreproducible. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 9 Jun 2019 23:40:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 19:40:15 2019
Received: from localhost ([127.0.0.1]:55579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ha7Q7-0007Ha-2w
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2019 19:40:15 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:37223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ha7Q5-0007HI-RI
 for 35961 <at> debbugs.gnu.org; Sun, 09 Jun 2019 19:40:14 -0400
Received: by mail-wr1-f51.google.com with SMTP id v14so7305586wrr.4
 for <35961 <at> debbugs.gnu.org>; Sun, 09 Jun 2019 16:40:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=6dWpxZS+8r4BHP5kVt/ry0kgAOhYdAPi5JG/59dJOSE=;
 b=gGSgFAWPf48tbkk/RxN0tIyXtJ2iyIWiJvCJiO2Q1iliDqg2nwTtVAKixI91eETFYr
 SsKgW6ODCuNZt80rGAM1tsIbjaB04SevE7bTUbWWFsvl1Fw5LWGjAt+X5IZznQDTLJDo
 f0rIJbv855e9UxQuT2Qoc5k3jZ53jZW9smF8dpOQ3h8r+oCPys7REgLAmohS6W5YS3IO
 i7bYhFt+hCMUFVhOWfwKEBoPe40/CpZRL7P7/I9+NBl4NsyaEdtpsqWHSWadxN/p7lZr
 7U4uYkp6u3MgFgYxh/H6ygcA7VffC3N772heLN3NjdEQpKWfqiiNhe/5FWYOV+PAn6/z
 Z2zw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=6dWpxZS+8r4BHP5kVt/ry0kgAOhYdAPi5JG/59dJOSE=;
 b=SY1E3NY1LNzfNFvrrIWMn7A/Qy4aZiPn+cdZgE2eL//8N5Xad2GqcR/y3/qyRotNmO
 bHeYBl43ubVqlpKkOjVDrK6fmfHVV8u1lgCAloo9zK6VhUpHO1KJRWn25b5ULDeiv39V
 hsBSz3wy7IAB2vJ6BGwlZ1DBDRE6QTsWxp/MUl31ryGGh8WXhuZ66HOWy+l1SiddmQy5
 As+Eo6Z30emqRfCILNhsOjp/AcY8gvIe8he4lvHjU/nBvX6uvnjhWDNTK8fpGO1Igewq
 AwBVhOwQ4IAPyVhXucEZruhrTAnY/C4cRSxKP/mZR+LIAZdyi7urcjcr04LD3llU40fg
 qing==
X-Gm-Message-State: APjAAAUQT3bDdBhJmAr56fNwUfeaBdbPftnOYYMtIdK6P6aYhBB6lVrU
 m3TX5bHihnu5nHQ5hgSglDQvjVIeLb8=
X-Google-Smtp-Source: APXvYqx3ob35dYDNTmSSdPVmeQ8owv5cL9Rh5oN6WPVikXoJInbuHLOmpHM5fRAG3IqoAgQlCTLbVA==
X-Received: by 2002:adf:fd01:: with SMTP id e1mr17304122wrr.167.1560123607390; 
 Sun, 09 Jun 2019 16:40:07 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id z193sm8192667wmc.20.2019.06.09.16.40.04
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 09 Jun 2019 16:40:05 -0700 (PDT)
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
To: Eli Zaretskii <eliz@HIDDEN>
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <83tvdezak4.fsf@HIDDEN> <f8f7c9c1-dc1d-e894-9fb1-038be0215aed@HIDDEN>
 <83lfymwsql.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e51bbb61-0aaf-1e12-86aa-7fa64607381f@HIDDEN>
Date: Mon, 10 Jun 2019 02:40:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <83lfymwsql.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 31.05.2019 18:25, Eli Zaretskii wrote:

> Yes, but if you are thinking about some thread in that
> toolkit/windowing library getting stuck while others continue working,
> you can try starting Emacs in X synchronous mode (etc/DEBUG has the
> details), then Emacs will wait for each X call to return, and X will
> not return until the request completes.  If you see the same problem
> in that case, i.e. some frame(s) become not responsive while others
> don't, it is almost certainly not an Emacs problem.

Thanks, I'll look into that if the problem persists (and if I can find a 
repro).

The last time it happened, though, I observed the same effect in another 
program, so this is probably not Emacs's fault. And I haven't seen the 
problem since the day this bug was filed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 31 May 2019 15:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 31 11:26:40 2019
Received: from localhost ([127.0.0.1]:35968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWjQV-00054Y-SM
	for submit <at> debbugs.gnu.org; Fri, 31 May 2019 11:26:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hWjQT-000547-WD
 for 35961 <at> debbugs.gnu.org; Fri, 31 May 2019 11:26:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47141)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hWjQO-0008Gs-LR; Fri, 31 May 2019 11:26:32 -0400
Received: from [176.228.60.248] (port=4665 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hWjQH-0006xA-MA; Fri, 31 May 2019 11:26:30 -0400
Date: Fri, 31 May 2019 18:25:54 +0300
Message-Id: <83lfymwsql.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <f8f7c9c1-dc1d-e894-9fb1-038be0215aed@HIDDEN> (message from
 Dmitry Gutov on Thu, 30 May 2019 19:37:26 +0300)
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <83tvdezak4.fsf@HIDDEN> <f8f7c9c1-dc1d-e894-9fb1-038be0215aed@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 35961 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 30 May 2019 19:37:26 +0300
> 
> > Emacs's
> > display engine updates all the frames one after the other, in a single
> > thread, so the situation where one frame is updated, but another
> > isn't, is simply impossible, as far as the Emacs code is concerned.
> 
> Having said the above, surely there is also some code that passes the 
> rendered frame contents to the windowing system, or the graphical toolkit?

Yes, but if you are thinking about some thread in that
toolkit/windowing library getting stuck while others continue working,
you can try starting Emacs in X synchronous mode (etc/DEBUG has the
details), then Emacs will wait for each X call to return, and X will
not return until the request completes.  If you see the same problem
in that case, i.e. some frame(s) become not responsive while others
don't, it is almost certainly not an Emacs problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 30 May 2019 20:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 16:25:37 2019
Received: from localhost ([127.0.0.1]:34014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWRcG-0002Pg-Mv
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 16:25:36 -0400
Received: from mail-ed1-f48.google.com ([209.85.208.48]:39107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hWRcE-0002PG-30
 for 35961 <at> debbugs.gnu.org; Thu, 30 May 2019 16:25:35 -0400
Received: by mail-ed1-f48.google.com with SMTP id e24so10916699edq.6
 for <35961 <at> debbugs.gnu.org>; Thu, 30 May 2019 13:25:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=LYTPdisVLnf3JityrWjqd+GbwHLFyWuesNkqIeEvQBc=;
 b=ZuR4rnEeAvOE1er0Le0y1OcP+lqs84Z7mDFFLF1/3Iv1gpOtZAlSOsbkznuaatfefr
 klh745tH4m8tjc4YE9K2mGu+r5EWSRsIMKlCZows5h6wYKyN7Y8W6/N0V1XdFZAt/R9Z
 qBq81A4Ii4vU+GJDvLDdmWr9JBFCgyW6RrBu+g3uvIf8eI7hoa5iCr4kAoUdwCVFhJhS
 9+SABCWiM/ayhjKXK6WHVmeppQcKqSFLnR1MuFfUk9zZFeM/UviK+NJB8ECKF+A7WYL1
 EJAkRkHolcjF2ulDU1VVjl8mf/lS6ly/Lt1JBGjKUCHO9n8uoF2+jxXVvjFUjI+frm3Q
 /Pdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=LYTPdisVLnf3JityrWjqd+GbwHLFyWuesNkqIeEvQBc=;
 b=XV7/3sadUilJgIIz4F7fbip5mHCORntIc5GIOMaUc8lrH/3J75BHfsFlNCh0FgZcb4
 y+CbJeFJbcv7gm/pTXhoXoWvj//qJrePvDlPsdwZQxlbeZBfbgQK13Th2clgQpajkvHj
 pT+2fMm7ful+eUlUWrrl6sUkyawQWdHi6SUjwSJ/nHqu2Zx+3sB3KZyk3VosHqi5oPzh
 c98d+FT+TOPegj8lrBBGmV1Doti+Lo27CY9RozqrIAb+cUB04NdNfFq8g07ItG7McEM7
 TqCBqAEPzc7TqabZnbISXbAETrdxePGleQiu64YX+KOgD0Jd2259nf1GAYk5Ncscx4mH
 NNsg==
X-Gm-Message-State: APjAAAVJyfxskHPUbqpQVNntQym/rpafvrKwXIoDGEPZYTZHTytJfb9n
 njnSJVuJKsko9NwnqL3irk0fZg==
X-Google-Smtp-Source: APXvYqwv1iBbLQxijEfX8pfpgiZvahgxwQwSvE0+G1n5BvrX3B0jt8FpgOCk+hiaf6h3ZSYh/xJfhA==
X-Received: by 2002:a50:e101:: with SMTP id h1mr6881525edl.180.1559247928049; 
 Thu, 30 May 2019 13:25:28 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:6fa:38d6:1fce:ddb3])
 by smtp.gmail.com with ESMTPSA id a61sm981939edf.8.2019.05.30.13.25.26
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 30 May 2019 13:25:26 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#35961: 27.0.50;
 Sometimes frame freezes and stops updating (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <87h89e1s6t.fsf@HIDDEN>
 <62ce8d99-bcd0-761e-e816-17fb72ead6a7@HIDDEN>
 <87zhn3swiu.fsf@HIDDEN>
 <5142338d-a4dc-5893-5874-c9a0fdf2193f@HIDDEN>
Date: Thu, 30 May 2019 21:25:18 +0100
In-Reply-To: <5142338d-a4dc-5893-5874-c9a0fdf2193f@HIDDEN> (Dmitry Gutov's
 message of "Thu, 30 May 2019 20:37:35 +0300")
Message-ID: <87y32nheq9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 30.05.2019 20:05, Basil L. Contovounesios wrote:
>
>>> and there's no way to "resume" a frame after it happens?
>>
>> The only way I know to "resume" the frame is to switch to another frame
>> and back again.
>
> Hmm, it that works, it's likely a different issue. Switching to another frame
> and back doesn't help in my experience.

Sorry, what I said is not true: the suspended frame seems to be resumed
only when it is resized (tiled) by the creation of some other frame,
e.g. another Emacs frame or a terminal emulator window.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 30 May 2019 17:37:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 13:37:45 2019
Received: from localhost ([127.0.0.1]:33814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWOzp-00042F-HQ
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 13:37:45 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:39499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hWOzn-00041x-9a
 for 35961 <at> debbugs.gnu.org; Thu, 30 May 2019 13:37:43 -0400
Received: by mail-wm1-f51.google.com with SMTP id z23so4306888wma.4
 for <35961 <at> debbugs.gnu.org>; Thu, 30 May 2019 10:37:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9eB7uoVuZzuMhNpMAB0b2kLkIj7qjI6bBEPjhsG9Xuw=;
 b=s7fSjOh4HylS02e3Tk/pjfxBwoY7wVXJwluUdWlURPYSk+/JfM28Zl2DIRudXrMbrt
 etM5EmKZlANaF1v8VO5HWeyIu1NTZu8qyMF6dWeiJpTZKOZgTg0LIfP7LRzQ00ayXoxY
 cwC/cdymzxlimrO1LevG9l5CTNHcGbsE+gE4+qPoNG+rnFs3UPNGMX6fU2ogdxP2PoxJ
 I+0G7hydKxqWCJGeuux4Vwnqt5cQE4j52HbhbpE/6TErFdV/ZdeBYB/tQ2bS7F8C2sDo
 9X4FM8xXIpBX9X7NsSoyb1w0t0l0bcOk4hTab4cD80lYHvnHP6AqFaKqOcfWs9IsMJOA
 /hFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9eB7uoVuZzuMhNpMAB0b2kLkIj7qjI6bBEPjhsG9Xuw=;
 b=WilRjXDAPNrY1DHle18LjNlMjL/yxGiVZLHEZVQZqgCY6euTqg8D0iuxCylpg8dVNx
 AEA6liNS5HHa98oJOQu+AExKAFbip5dTmFEPxC0qEQmh2V+LErboJvWi6t5pAJ2Oq/MA
 vXyyzuBGPAqM0dwERAWqVuGMq2P//VhYpGd/1wyt9i0xWWk1/1PsTe3Dfj+zWg2NohSq
 b5I2q+YMxiUKH8sqQ8rhNfC2y0da4X8eW9QMpp8aWlW/A8A+U7nwapyASqjgOJvI1qu3
 rHvK1qCN3j1GhUZWoY1nTDrQ1GM6hCljx4r513jMJGaynAPFFNbng4YIMu09WjqmV6+6
 O5qQ==
X-Gm-Message-State: APjAAAVVhVVrYj6cj7oSH5R3D7jefbCrrm7h9sl/aJo49cLbm0AwfbSs
 qyVNkp0N9S26011b7RUsmI78lZbu
X-Google-Smtp-Source: APXvYqwCT11Ko2VBy0Xsby7BYxcea5tUVlnqPUoFHp0OJYm80M3uGeLKg1twpLLk1cZESzWHgX3NRA==
X-Received: by 2002:a1c:7617:: with SMTP id r23mr2771462wmc.24.1559237857019; 
 Thu, 30 May 2019 10:37:37 -0700 (PDT)
Received: from [10.1.81.28] ([82.116.203.99])
 by smtp.googlemail.com with ESMTPSA id 8sm2983416wmf.18.2019.05.30.10.37.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 30 May 2019 10:37:36 -0700 (PDT)
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
To: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <87h89e1s6t.fsf@HIDDEN> <62ce8d99-bcd0-761e-e816-17fb72ead6a7@HIDDEN>
 <87zhn3swiu.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5142338d-a4dc-5893-5874-c9a0fdf2193f@HIDDEN>
Date: Thu, 30 May 2019 20:37:35 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <87zhn3swiu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 30.05.2019 20:05, Basil L. Contovounesios wrote:

> Quite likely, but I'm not sure I'd consider my description a "problem".
> AFAIK, xmonad doesn't have a concept of iconifying a frame by default,
> so the current behaviour of suspend-frame seems fine to me.

OK.

>> and there's no way to "resume" a frame after it happens?
> 
> The only way I know to "resume" the frame is to switch to another frame
> and back again.

Hmm, it that works, it's likely a different issue. Switching to another 
frame and back doesn't help in my experience.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 30 May 2019 17:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 13:05:39 2019
Received: from localhost ([127.0.0.1]:33746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWOUl-00034Z-Js
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 13:05:39 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:34059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hWOUj-00034F-AQ
 for 35961 <at> debbugs.gnu.org; Thu, 30 May 2019 13:05:38 -0400
Received: by mail-ed1-f67.google.com with SMTP id i11so8345549edn.1
 for <35961 <at> debbugs.gnu.org>; Thu, 30 May 2019 10:05:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=3GYKws1F4TKaUJvoHCDymRl8Rj5tHk2XifxA7WXvP0E=;
 b=Jm+hZ/YUdbGmRgrhpnTUNtQ603NtRnIqWF3gFBaR2ofTUWeRK6YTxw6sBoLRGpJxfg
 v3Q1yC9ucvJfNuEXVs+LtMu6vXhSqcclBUt2z0gP7vhWmnjM99AG03C80BV8FvGcnJrm
 Y/rbbxkKEquEBCGx7KZR5aYZkWM5AUpxHcNyyQfr8aHoJTUKrYjAIeUC+eAy45v4GSrK
 EtSDr24L7L+Zrdvbl5zFByImOXBXexD6KBGN1BM4KMm91JxN+8MZrzcuZmp4k8tTRri6
 VyAdP0L7tObLxwdhlVt7zrj8I/UrDo6zbe68+86XVbRiT8+SLdlPN1Fe3FHCx3Qh3c/x
 oi6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=3GYKws1F4TKaUJvoHCDymRl8Rj5tHk2XifxA7WXvP0E=;
 b=rHnAeXGt0jIHEDdSRrvYxQIk6nDKW085gv4IN7Xme5goy8VERNlTFxs/vpO0DhbDwh
 3BhgpkmIl3gPs+oaznvKavHYuy9wY4NZFS2qjK8k+bfPbRiT3zrZRNrtD2j3adHOCKvz
 8P6PFJ1xfno1f1/XTH0pruUGLjaUNTLJ2dDkkJT9+IZhOEz/jWNj4PTfJSxFoGndQa/E
 TOxvY9YlJ34a38qYUcQKHSge3A/vtXWeOZoNxi6C9e2MUrsE6ImfNXpeE9X3wfsZfkO7
 DhrVbt1Ab7WTQu5EZM7kKReU6mnK0m04USEjT0EyiOI3vPD+zskd7plBhvii0zeTQv0Y
 rP/A==
X-Gm-Message-State: APjAAAXd2CCn9Xs9KSlnUXL6clmN7XgKaNP5RkM0edZypDziGZI+mFhL
 WYhJQI3V6lyu/7bYlhUqUF2qyA==
X-Google-Smtp-Source: APXvYqzohiExTKk5ilb2DhjMTg/qK/unc8tEJdq6KfWg7H+JXpIVyrnX6TlYg4QPilAORablX/49BQ==
X-Received: by 2002:a17:906:60c9:: with SMTP id
 f9mr4692219ejk.83.1559235931294; 
 Thu, 30 May 2019 10:05:31 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:6fa:38d6:1fce:ddb3])
 by smtp.gmail.com with ESMTPSA id g30sm858217edg.57.2019.05.30.10.05.30
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 30 May 2019 10:05:30 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#35961: 27.0.50;
 Sometimes frame freezes and stops updating (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <87h89e1s6t.fsf@HIDDEN>
 <62ce8d99-bcd0-761e-e816-17fb72ead6a7@HIDDEN>
Date: Thu, 30 May 2019 18:05:29 +0100
In-Reply-To: <62ce8d99-bcd0-761e-e816-17fb72ead6a7@HIDDEN> (Dmitry Gutov's
 message of "Thu, 30 May 2019 19:30:29 +0300")
Message-ID: <87zhn3swiu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 28.05.2019 19:04, Basil L. Contovounesios wrote:
>
>> I use xmonad as my (tiling) window manager, and FWIW your description
>> sounds almost identical to what happens to my Emacs session (master and
>> emacs-26, with or without -Q) when I type C-z (suspend-frame), which in
>> turn calls iconify-or-deiconify-frame.
>
> Interesting. I think I've heard about xmonad-related problems before. Maybe
> there are even existing bug reports.

Quite likely, but I'm not sure I'd consider my description a "problem".
AFAIK, xmonad doesn't have a concept of iconifying a frame by default,
so the current behaviour of suspend-frame seems fine to me.

> So you can reproduce the problem at will,

Yes, all it takes is C-z.

> and there's no way to "resume" a frame after it happens?

The only way I know to "resume" the frame is to switch to another frame
and back again.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 30 May 2019 16:37:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 12:37:36 2019
Received: from localhost ([127.0.0.1]:33697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWO3c-0000A2-1l
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 12:37:36 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:52431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hWO3a-00009l-K1
 for 35961 <at> debbugs.gnu.org; Thu, 30 May 2019 12:37:35 -0400
Received: by mail-wm1-f51.google.com with SMTP id y3so4360284wmm.2
 for <35961 <at> debbugs.gnu.org>; Thu, 30 May 2019 09:37:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=64t5nsiGZ7g+/CKHiwxfKMwe4tM3iH6yEOMuRdcQPAQ=;
 b=C3OMkT2ntWQEraqp03CL47yOFN+XqhwmDGKzT/CzX6jha6lay8Fgfys0KasGN7Cy2X
 BPigLznoH9gJrx9Jx2Z6Lz4jnQOViIxPC+gZkuHO7+hFC6f8yq1tlaQAwXEiu9gvP9xI
 1LdYHiwqUQDEY5LtppDq8quZXSPuEx4yvtSDjJ01wjMoV/nMJrOiapfQ/P7b7p4/7SWh
 mEpnmxUazT/udkuuksYOLelb41go7hlJSND/0fGVavPV8XMtdWR7JUSS4N0lCKd/kkYE
 t7r1Wjdq6SXVt6Ynd7UVeH0YTJotIsVlgyuZaVLEmgNs8XKtYjzPecEjc0vGqRStt0c4
 0Tdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=64t5nsiGZ7g+/CKHiwxfKMwe4tM3iH6yEOMuRdcQPAQ=;
 b=Q+Ogt4nSNUe2CfePk1T5/9WsH6vI/MmXzo2aa6VBA4RHpEsCVVFkvxRdZ3DtY5H2mu
 haGuJTHYl0SeslLXVupdSQUOf39wUJgKyr8Cpe6XJ9S2vw7h41VrfCAEuHN+dc49FjS9
 ELNrLoO9LrWwl1y8k17qbuZHsB4pdte7X2YHzhtx8LcviUS1vIKkUnc6A8EL38YbKtm/
 9Z9+UrR/Oz3Gk+VqEqrHkyqu9nSk3oT7Uo8ic8SlY5nJCZxuVzkqIfrEhdECoX0V8Fef
 NUfS0Yq3sa1cnMWpsobGFSM5kuDtdBYyVHSOjNtPwubF9ZTZRj4aITE1SwvgtzSN0qfX
 XErw==
X-Gm-Message-State: APjAAAWKVshEXRyrLdgv3lzMiFbKt5IKk7SmHbJsmqPzQznt8yU/v2AK
 tgTc+HMW7jqDuuQyOR/yM2gE762O
X-Google-Smtp-Source: APXvYqycaWqGICcjJXLHjKjfHjaiuEdt09UhETJ+WdYWIp05N9QhXM3Z4Z4JHn3BsAAe0GTO30sb4Q==
X-Received: by 2002:a1c:700b:: with SMTP id l11mr2835797wmc.106.1559234248211; 
 Thu, 30 May 2019 09:37:28 -0700 (PDT)
Received: from [10.1.81.28] ([82.116.203.99])
 by smtp.googlemail.com with ESMTPSA id a2sm6888789wrg.69.2019.05.30.09.37.27
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 30 May 2019 09:37:27 -0700 (PDT)
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
To: Eli Zaretskii <eliz@HIDDEN>
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <83tvdezak4.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f8f7c9c1-dc1d-e894-9fb1-038be0215aed@HIDDEN>
Date: Thu, 30 May 2019 19:37:26 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <83tvdezak4.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 28.05.2019 21:41, Eli Zaretskii wrote:
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Tue, 28 May 2019 18:06:44 +0300
>>
>> - Creating a new frame with 'C-x 5 2'. The result is a responsive frame,
>>     all the while the previous one is in that weird state.
> 
> This bit almost certainly means that it's not an Emacs problem, but
> something related to the other software on your system. 

That's possible, actually. I've had another program (a terminal 
emulator) show similar behavior. I'm using a somewhat outdated desktop 
environment (Unity 7), so there might be some bugs in its windowing 
code. A reboot usually solves the problem for a while.

> Emacs's
> display engine updates all the frames one after the other, in a single
> thread, so the situation where one frame is updated, but another
> isn't, is simply impossible, as far as the Emacs code is concerned.

Having said the above, surely there is also some code that passes the 
rendered frame contents to the windowing system, or the graphical toolkit?

> Did you try looking at your system's logs for the times when these
> freezes happen?  Or search the Internet for similar reports, not
> necessarily related to Emacs?

I will try, thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 30 May 2019 16:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 12:30:40 2019
Received: from localhost ([127.0.0.1]:33675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWNwu-0008PH-Fs
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 12:30:40 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:42124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hWNwt-0008P3-0i
 for 35961 <at> debbugs.gnu.org; Thu, 30 May 2019 12:30:39 -0400
Received: by mail-wr1-f52.google.com with SMTP id l2so4611330wrb.9
 for <35961 <at> debbugs.gnu.org>; Thu, 30 May 2019 09:30:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Sp0v4A9SNbXGNsnV/MxLqTvg0mh0/w0YYvPaW2zRVTA=;
 b=sch11NWnbMCjlx+wFUqth4hAeLgDQzaAIEfD2BBj71wZOxnoCaA4GlCFi88j5+GnEB
 fgBSj1Xq3dhJ36/BFrrQ5CIZI2r3r0VBmwgZkXQl0LJeiSCvaUwNqVgEYfJW8vyUf20e
 PkbIGw3B3/MVgH8xWjkgJleuSh0nanG7Vuzi92i+vD5CIhPGNebh3zxIpeWOL8l/JlZo
 kaYFbE+mtHHgCGJxIhsltaRHbzHFHIbBlvfEWsDiZyq5Lg/GzTLdcmugOg0+M7pCPBbe
 1LUECazghPuswvpAbwB4J5edZrzf0MrOW7X446ILdGOs9inxWB/BQE+gS1kfC+Hpqfwm
 DpQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Sp0v4A9SNbXGNsnV/MxLqTvg0mh0/w0YYvPaW2zRVTA=;
 b=VI9xv8VmwoLUvfasfkWmq5ctsY2sD6U+6TPZmO4OAuBDPvkkAjeMtzaOsRSOqbLeCl
 ZnYRhcqXlLfdwQ9jHOm6ukEjch7jr8ehwNEPH5ZPSEQepbT+m+0hpIpQAS3ukJb8bVSl
 dhtt5jHf/dQO4f3yfLHcyCxJm4RTr3yV2HQTAV9E7b+4PqgEmzGKtdgO9QgJwI38D4m5
 FX0i8lFQhhGqrBVH7N+SCe8s9G9o5krxqcjnwDnlpxIdsXClTafR15igpmKy/LkALxcW
 BpgNy/nCFaWw/kxQJK2JmO62IC4CoTnF7xfbfyPp8tlYWfLDaWchvkrk2Y1ZDc9aen1L
 qgoQ==
X-Gm-Message-State: APjAAAW9Mioy6N7AOhm98eL9TtX5S7poSvNUUZ85afp3jUEE1CCPYZBC
 xgfZr4eC9h936ejBitcQszx+WyUR
X-Google-Smtp-Source: APXvYqwpqd/fyppzrSe3p+S0bXQRpcRr+Gqvk8t+gtO979UP0j+Hz22fDmwVElue3GwSR7dH1CxgTg==
X-Received: by 2002:adf:e70f:: with SMTP id c15mr3227535wrm.311.1559233832606; 
 Thu, 30 May 2019 09:30:32 -0700 (PDT)
Received: from [10.1.81.28] ([82.116.203.99])
 by smtp.googlemail.com with ESMTPSA id v5sm6474673wra.83.2019.05.30.09.30.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 30 May 2019 09:30:31 -0700 (PDT)
Subject: Re: bug#35961: 27.0.50; Sometimes frame freezes and stops updating
 (almost entirely)
To: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <87h89e1s6t.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <62ce8d99-bcd0-761e-e816-17fb72ead6a7@HIDDEN>
Date: Thu, 30 May 2019 19:30:29 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <87h89e1s6t.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 28.05.2019 19:04, Basil L. Contovounesios wrote:

> I use xmonad as my (tiling) window manager, and FWIW your description
> sounds almost identical to what happens to my Emacs session (master and
> emacs-26, with or without -Q) when I type C-z (suspend-frame), which in
> turn calls iconify-or-deiconify-frame.

Interesting. I think I've heard about xmonad-related problems before. 
Maybe there are even existing bug reports.

So you can reproduce the problem at will, and there's no way to "resume" 
a frame after it happens?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 28 May 2019 18:41:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 14:41:16 2019
Received: from localhost ([127.0.0.1]:57103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVh2C-0002gy-Id
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 14:41:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hVh2A-0002gh-LA
 for 35961 <at> debbugs.gnu.org; Tue, 28 May 2019 14:41:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37061)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hVh25-0005gT-BQ; Tue, 28 May 2019 14:41:09 -0400
Received: from [176.228.60.248] (port=4296 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hVh24-0003Wy-PL; Tue, 28 May 2019 14:41:09 -0400
Date: Tue, 28 May 2019 21:41:15 +0300
Message-Id: <83tvdezak4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN> (message from
 Dmitry Gutov on Tue, 28 May 2019 18:06:44 +0300)
Subject: Re: bug#35961: 27.0.50;
 Sometimes frame freezes and stops updating (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Tue, 28 May 2019 18:06:44 +0300
> 
> - Creating a new frame with 'C-x 5 2'. The result is a responsive frame,
>    all the while the previous one is in that weird state.

This bit almost certainly means that it's not an Emacs problem, but
something related to the other software on your system.  Emacs's
display engine updates all the frames one after the other, in a single
thread, so the situation where one frame is updated, but another
isn't, is simply impossible, as far as the Emacs code is concerned.

Did you try looking at your system's logs for the times when these
freezes happen?  Or search the Internet for similar reports, not
necessarily related to Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 28 May 2019 16:04:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 12:04:37 2019
Received: from localhost ([127.0.0.1]:56935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVeab-0004QH-Fw
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 12:04:37 -0400
Received: from mail-ed1-f44.google.com ([209.85.208.44]:33273)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hVeaZ-0004Pz-3a
 for 35961 <at> debbugs.gnu.org; Tue, 28 May 2019 12:04:36 -0400
Received: by mail-ed1-f44.google.com with SMTP id n17so32589997edb.0
 for <35961 <at> debbugs.gnu.org>; Tue, 28 May 2019 09:04:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=1dNmJOtJKNxNJRFQXu+bPBFNbzpYwBWeN3bQjDl6sHg=;
 b=leXdaylc9aLtpEBoq9MVGbRz9jCLygvmJ+HvBcKXCL5LIsPNOBiTcUO6Cn94v4y7xg
 yF5DKRmpZEe4wQTOd5Ij8vpFZtPpq/u0NrWV4bO5OahGwqDGa66tOJJhJVg7DiBXUl70
 B+pFSQbXCltKBLb31h2XhZ7LTzJm1SVcUDzZE8/j9L8+H2oHEi7PXWoLR8NUfXWNOtQB
 x8wtU7S3nPfEGYrrvWjKcquF4dPOspiOoQ6/oboeSZyDptlXHayqISSMUOtZ0k1J73j+
 CquD6KJ1SetONjCq+PYzCbZo34w8coQ+ayCC2NyX8BcebnaCL2IqfSEacgfY8gteBO84
 KlHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=1dNmJOtJKNxNJRFQXu+bPBFNbzpYwBWeN3bQjDl6sHg=;
 b=jrSMVk78mJ5jndTP3jIfFbli6epV4gxWgXMFyk41S9akzVElL4jaudEkxWlhRPMsD1
 bOxXmtWGyEdcJ5GFU4ks27NhVLRFi1s0KkpHa2ROSVicm3qeIXSRwjZ+bCgHHuAIpalo
 JPiodwiUoY2gzAPf97Bd1roJdMqq6CAQgAjlaSNj5Pd67iy/vWjIAKv5/BM9P3nrIZif
 GhSxm3kW/P3yDBYKYfeyMBXwWIbgucdUmrBugnJMv6ysJwU5siVKmFC9wrREsh0/DEDg
 yPOXrTGzQn0pItovYpHXVy2yhqOS9pmx1+wP5rVLuRNQTcXq62TRJ3mp+Cj3eux9wqGx
 CVTQ==
X-Gm-Message-State: APjAAAXj+Tij9yh2I0h+HTiHIuadA0FMJGVdbnjoOCw0DMuCg3ndBv6d
 JdCWzMZv9YUeRy7JR/ujKS3+Gg==
X-Google-Smtp-Source: APXvYqwVeq2SlNzyE0r+52bBxcr+X7lnBmCSkUMaY2jId/QkidGLp1VIlfUHsxv0YNpTAEO0oq9N8g==
X-Received: by 2002:a50:b39a:: with SMTP id s26mr124970243edd.39.1559059468978; 
 Tue, 28 May 2019 09:04:28 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id w5sm4439852edd.19.2019.05.28.09.04.27
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 28 May 2019 09:04:27 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#35961: 27.0.50;
 Sometimes frame freezes and stops updating (almost entirely)
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
Date: Tue, 28 May 2019 17:04:26 +0100
In-Reply-To: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN> (Dmitry
 Gutov's message of "Tue, 28 May 2019 18:06:44 +0300")
Message-ID: <87h89e1s6t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35961
Cc: 35961 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> The windows' contents stay almost unchanged (with the exception of some
> visual glitches) in response to most commands I issue. Some weird
> effects can remain, like blinking cursor(s).
>
> It's not a Emacs freeze, because I can switch to another application and
> back, and *then* the contents become updated (and still frozen
> afterwards), so I can issue a command, switch back and forth and see the
> result.
>
> It happens randomly with no particular reproduction scenario. I can
> never see it for a week or two, and then it happens 2-3 times a day. The
> only thing in common I remember is there's usually an
> *rspec-compilation* buffer shown (a third-party compilation major mode).
> It often contains long lines, and while compilation is running, it
> enacts a certain strain on our display engine.
>
> What I tried:
>
> - Evaluating
>
> =C2=A0=C2=A0=C2=A0 (modify-all-frames-parameters '((inhibit-double-buffer=
ing . t)))
>
> =C2=A0 =3D> the frozen frame does not get better.
>
> - Creating a new frame with 'C-x 5 2'. The result is a responsive frame,
> =C2=A0 all the while the previous one is in that weird state. Further, the
> =C2=A0 said previous frame can start updating the area of the screen where
> =C2=A0 the new frame was initially displayed. That area doesn't change as=
 I
> =C2=A0 move/resize the new frame.
>
> It's not a new problem, I've been seeing it for months on and off. It's
> just weird and infrequent enough that I've held off from reporting.

I use xmonad as my (tiling) window manager, and FWIW your description
sounds almost identical to what happens to my Emacs session (master and
emacs-26, with or without -Q) when I type C-z (suspend-frame), which in
turn calls iconify-or-deiconify-frame.

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at 35961 <at> debbugs.gnu.org:


Received: (at 35961) by debbugs.gnu.org; 28 May 2019 15:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 11:15:11 2019
Received: from localhost ([127.0.0.1]:56855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVdol-0002uk-EN
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 11:15:11 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:33715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1hVdoj-0002uT-Jm
 for 35961 <at> debbugs.gnu.org; Tue, 28 May 2019 11:15:10 -0400
Received: by mail-wm1-f52.google.com with SMTP id v19so2554821wmh.0
 for <35961 <at> debbugs.gnu.org>; Tue, 28 May 2019 08:15:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=O7QslJn3gyAH9bn/jX+8zyLFPXyTAdbHQxehNRJH6/A=;
 b=t5IC1EadajGoyrUeRZBTSH/0ctAv9wRbZ4DBZPV9NNSP/XMwyCmEQ8AjCrQFOC7SP1
 t/AbN3dV6crxHjeyACIuyuYz4EyH9FxnJiHcu3P9ZAPjdU21hfDLkltfZ0St3fYMjjMc
 MlS3GSHMQxSUCTuLI9igZPFqYUGg3m2DhjoCLbX1s2wSGUBoC/zZXuOEyS7PeQl8w/R4
 3/t1Q1UZ4hpXODIaoerJQac1zVuSmoZaGVchW6w+eVCmxoAn6acXLSdgRGvAKIztVIMj
 XHOIlXZUSjLXdSU3wMvKtryPwcmxCeKxZBAXUHFOdpb3qsiCQQnMQRH7RVvv37f5a95A
 CKyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=O7QslJn3gyAH9bn/jX+8zyLFPXyTAdbHQxehNRJH6/A=;
 b=jMJlJI0R2sT7vTtt/XVEet3tSg7WuoCyL6f2uSed5X66A/iMGlU0Qj1EcQZCERr3Hw
 NARBtGFUElFannotN4YXukU6R+LybS+oe+OlCoRR6pxNmHnzjLvht5oasE6HMmFZacSd
 z2EOfNd7vKEcitekW9Ao/n+g9n07ofEmHmv4/c0Rt6iodUVBrKlStnFXDkNi20LNoEPY
 QLOGy4u+IXeSjOpMMa4ltedEtBwfOf73DuagKho/FXq7N2VsGrhPXH5/pz96EgsR0+Zw
 LSszJ1fWARIF+HnyNqFCKJxwHFQINff3OAZLVPbq8kuI2vAo7i29cpakVP3T5/S0dFLU
 TCjw==
X-Gm-Message-State: APjAAAW5rN+zfVbJBdpa3HjGKikk3xMsixVBbJ1d4Lx31KME3EpfHqY7
 LgKDIQW1cGMHYcYT8S33rmUZj9RM
X-Google-Smtp-Source: APXvYqwXrGKcbho7rG+Kddt2sQmAt1N+5ymBih66duKj5h4HT9XgljQ248uin0rUf0lQ5sw11y5Qxg==
X-Received: by 2002:a1c:f916:: with SMTP id x22mr3799258wmh.81.1559056503047; 
 Tue, 28 May 2019 08:15:03 -0700 (PDT)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id x4sm15850916wrn.41.2019.05.28.08.15.01
 for <35961 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 28 May 2019 08:15:01 -0700 (PDT)
Subject: Re: bug#35961: Acknowledgement (27.0.50; Sometimes frame freezes and
 stops updating (almost entirely))
To: 35961 <at> debbugs.gnu.org
References: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
 <handler.35961.B.155905621510564.ack <at> debbugs.gnu.org>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d6cf69e7-11d6-7e2e-1042-c41180641dda@HIDDEN>
Date: Tue, 28 May 2019 18:15:00 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <handler.35961.B.155905621510564.ack <at> debbugs.gnu.org>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 35961
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

*Facepalm*

Please use my usual email when responding, if possible.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2019 15:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 11:10:15 2019
Received: from localhost ([127.0.0.1]:56841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVdjy-0002kJ-T3
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 11:10:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dgutov@HIDDEN>) id 1hVdgs-0002Yq-4J
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 11:07:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:53608)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dgutov@HIDDEN>) id 1hVdgl-0004do-Nu
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 11:06:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57551)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dgutov@HIDDEN>) id 1hVdgj-0008HN-S0
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 11:06:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dgutov@HIDDEN>) id 1hVdgh-0004aY-VD
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 11:06:53 -0400
Received: from mail.corporatemx.com ([78.140.179.7]:33365)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dgutov@HIDDEN>) id 1hVdgh-0004WV-H9
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 11:06:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=servers.com
 ; s=mail;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Date:
 Message-ID:Subject:From:To:Sender:Reply-To:Cc:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=99qdiKvIdeX4tWeHIhLLdY78Ocrs4f+QcWmoe8iUWBE=; b=goI+E7ViJRBcFXdrhVsKbrDReT
 r8o5QBE73xdWC227C4VnRFT/VrvtnxXfrEmC+NnZDF7y8HlA0uCAlYI7cB2RSE00fagPfOtfpoLPb
 p06/7Ta/iU9vbnyvACQPKiGR2OBuSZ6dF7untOLDGAAGOSQOht3R55L7HOgpaMrArhAk=;
Received: from [109.110.245.170] (port=13979 helo=[192.168.0.195])
 by mail.corporatemx.com with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (envelope-from <dgutov@HIDDEN>) id 1hVdgb-0005Kn-60
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 17:06:46 +0200
To: bug-gnu-emacs@HIDDEN
From: Dmitry Gutov <dgutov@HIDDEN>
Subject: 27.0.50; Sometimes frame freezes and stops updating (almost entirely)
Message-ID: <e85c5869-84b0-e459-9550-06d4e96f0fd6@HIDDEN>
Date: Tue, 28 May 2019 18:06:44 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 78.140.179.7
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 28 May 2019 11:10:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

The windows' contents stay almost unchanged (with the exception of some
visual glitches) in response to most commands I issue. Some weird
effects can remain, like blinking cursor(s).

It's not a Emacs freeze, because I can switch to another application and
back, and *then* the contents become updated (and still frozen
afterwards), so I can issue a command, switch back and forth and see the
result.

It happens randomly with no particular reproduction scenario. I can
never see it for a week or two, and then it happens 2-3 times a day. The
only thing in common I remember is there's usually an
*rspec-compilation* buffer shown (a third-party compilation major mode).
It often contains long lines, and while compilation is running, it
enacts a certain strain on our display engine.

What I tried:

- Evaluating

     (modify-all-frames-parameters '((inhibit-double-buffering . t)))

   => the frozen frame does not get better.

- Creating a new frame with 'C-x 5 2'. The result is a responsive frame,
   all the while the previous one is in that weird state. Further, the
   said previous frame can start updating the area of the screen where
   the new frame was initially displayed. That area doesn't change as I
   move/resize the new frame.

It's not a new problem, I've been seeing it for months on and off. It's
just weird and infrequent enough that I've held off from reporting.

In GNU Emacs 27.0.50 (build 55, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
  of 2019-05-19 built on zappa
Repository revision: 613565494d048ec758d5051484a17fdeccd42f00
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
System Description: Ubuntu 18.04.2 LTS

Recent messages:
Source file ‘/home/dgutov/vc/emacs-master/lisp/filenotify.el’ newer than 
byte-compiled file
Loading autorevert (compiled; note, source file is newer)...done
Loading help-at-pt...done
Loading /home/dgutov/.custom.el (source)...done
Source file ‘/home/dgutov/vc/emacs-master/lisp/emacs-lisp/advice.el’ 
newer than byte-compiled file
Loading quail/cyrillic...done
Loading /home/dgutov/.emacs.d/site-lisp/.emacs-loaddefs.el (source)...done
Switching to window configuration: nil
Highlight tail mode enabled
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS JSON PDUMPER LCMS2 GMP

Important settings:
   value of $LC_MONETARY: ru_RU.UTF-8
   value of $LC_NUMERIC: ru_RU.UTF-8
   value of $LC_TIME: ru_RU.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
   paredit-mode: t
   save-place-mode: t
   global-page-break-lines-mode: t
   page-break-lines-mode: t
   projectile-mode: t
   hes-mode: t
   global-robe-mode: t
   flymake-mode: t
   global-company-mode: t
   company-mode: t
   global-undo-tree-mode: t
   undo-tree-mode: t
   global-diff-hl-mode: t
   savehist-mode: t
   yas-global-mode: t
   yas-minor-mode: t
   global-whitespace-cleanup-mode: t
   whitespace-cleanup-mode: t
   ido-ubiquitous-mode: t
   ido-everywhere: t
   show-paren-mode: t
   electric-pair-mode: t
   delete-selection-mode: t
   cua-mode: t
   winner-mode: t
   global-auto-revert-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   auto-fill-function: yas--auto-fill
   transient-mark-mode: t

Load-path shadows:
/home/dgutov/.emacs.d/site-lisp/smartrep.el/smartrep hides 
~/.emacs.d/site-lisp/smartrep
/home/dgutov/.emacs.d/site-lisp/diff-hl/diff-hl-dired hides 
/home/dgutov/.emacs.d/elpa/diff-hl-20190223.2333/diff-hl-dired
/home/dgutov/.emacs.d/site-lisp/diff-hl/diff-hl-margin hides 
/home/dgutov/.emacs.d/elpa/diff-hl-20190223.2333/diff-hl-margin
/home/dgutov/.emacs.d/site-lisp/diff-hl/diff-hl hides 
/home/dgutov/.emacs.d/elpa/diff-hl-20190223.2333/diff-hl
/home/dgutov/.emacs.d/site-lisp/diff-hl/diff-hl-amend hides 
/home/dgutov/.emacs.d/elpa/diff-hl-20190223.2333/diff-hl-amend
/home/dgutov/.emacs.d/site-lisp/diff-hl/diff-hl-flydiff hides 
/home/dgutov/.emacs.d/elpa/diff-hl-20190223.2333/diff-hl-flydiff

Features:
(shadow sort mail-extr emacsbug smex disp-table paredit saveplace
tango-plus-theme page-break-lines smart-mode-line-light-theme
smart-mode-line rich-minority highlight-tail projectile grep ibuf-ext
ibuffer ibuffer-loaddefs highlight-escape-sequences company-oddmuse
company-keywords company-etags company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-bbdb company-robe robe url-http url-auth url-gw nsm url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mm-view mml-smime smime dig mailcap etags fileloop
generator xref project inf-ruby ruby-end ruby-mode flymake-proc flymake
warnings thingatpt smie compile files-x company undo-tree diff diff-hl
smartrep cl face-remap vc-hg vc-git vc-dir ewoc diff-mode savehist
yasnippet-snippets yasnippet whitespace-cleanup-mode whitespace
ido-completing-read+ memoize s cus-edit wid-edit minibuf-eldef ido paren
elec-pair delsel cua-base winner .emacs-loaddefs cl-extra prelude esk
devenv commit-patch-buffer log-edit message rmc puny format-spec rfc822
mml mml-sec epa epg gnus-util rmail dframe rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils gmm-utils mailheader pcvs-util add-log vc
vc-dispatcher point-stack mmm mmm-defaults mmm-auto mmm-vars mmm-utils
mmm-compat progmodes keys find-func quail help-mode windmove hippie
hippie-exp comint derived ansi-color dired desktop frameset easy-mmode
pcase dired-loaddefs winring ring misc prefs defuns advice help-at-pt
autorevert filenotify cus-start cus-load mule-util edmacro kmacro rx
info package easymenu epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 420186 23205)
  (symbols 48 22245 0)
  (strings 32 70476 6962)
  (string-bytes 1 2380999)
  (vectors 16 24385)
  (vector-slots 8 311017 14478)
  (floats 8 86 88)
  (intervals 56 639 0)
  (buffers 992 12))





Acknowledgement sent to Dmitry Gutov <dgutov@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35961; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 Sep 2019 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.